## PeasExtensionBase PeasExtensionBase — Base class for C extensions. |

## Functions

PeasPluginInfo * | peas_extension_base_get_plugin_info ()
gchar * | peas_extension_base_get_data_dir ()

## Properties

gchar * | data-dir | Read
PeasPluginInfo * | plugin-info | Read / Write / Construct Only

## Types and Values

struct | PeasExtensionBase
struct | PeasExtensionBaseClass

## Object Hierarchy

        GObject
        ╰── PeasExtensionBase

## Description

PeasExtensionBase can optionally be used as a base class for the extensions of your plugin. By inheriting from it, you will make your extension able to access the related PeasPluginInfo, and especially the location where all the data of your plugin lives.

Non-C extensions will usually not inherit from this class: Python plugins automatically get a "plugin_info" attribute that serves the same purpose.

## Functions

### peas_extension_base_get_plugin_info ()

    PeasPluginInfo *
    peas_extension_base_get_plugin_info (PeasExtensionBase *extbase);

Get information relative to `extbase` .

#### Parameters

extbase | A PeasExtensionBase. |

#### Returns

the PeasPluginInfo relative to the PeasExtensionBase.

[transfer none]

### peas_extension_base_get_data_dir ()

    gchar *
    peas_extension_base_get_data_dir (PeasExtensionBase *extbase);

Get the path of the directory where the plugin should look for its data files.

#### Parameters

extbase | A PeasExtensionBase. |

#### Returns

A newly allocated string with the path of the directory where the plugin should look for its data files

## Types and Values

### struct PeasExtensionBase

    struct PeasExtensionBase;

Base class for C extensions.

### struct PeasExtensionBaseClass

    struct PeasExtensionBaseClass {
      GObjectClass parent_class;
    };

The class structure of PeasExtensionBase.

#### Members

## Property Details

### The `“data-dir”` property

      “data-dir”                 gchar *

The The full path of the directory where the plugin should look for its data files.

Note: This is the same path as that returned by `peas_plugin_info_get_data_dir()`.

Flags: Read

Default value: NULL

### The `“plugin-info”` property

      “plugin-info”              PeasPluginInfo *

The PeasPluginInfo related to the current plugin.

Flags: Read / Write / Construct Only

## See Also

PeasPluginInfo